%global pkg_name feldspar-language

%global common_summary Haskell %{pkg_name} library

%global common_description A %{pkg_name} library for Haskell.

# add any Haskell library dependencies here:
%global ghc_pkg_deps ghc-QuickCheck-devel ghc-mtl-devel

%bcond_without shared
%bcond_without hscolour

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        0.3.1
# 0.3.2 and 0.3.3 need QuickCheck >= 2.3 which breaks current haskell-platform

Release:        3%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.7.0


%if %{with hscolour}
BuildRequires:  hscolour
%endif
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%{?ghc_lib_package}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
LANG=en_US.UTF8
%ghc_lib_build


%install
rm -rf $RPM_BUILD_ROOT
%ghc_lib_install


# cleanup extra data files
echo "%{_datadir}/%{pkg_name}-%{version}" >> %{name}-devel.files


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Mon Nov 15 2010 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 0.3.1-3
- Added comment on use of 0.3.1 version.
- Updated URL.
- Removed ghc_pkg_c_deps.

* Thu Oct 28 2010 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 0.3.1-2
- Update spec file with cabal2spec-0.22.1.

* Fri Jul 09 2010 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 0.3.1-1
- Updated to 0.3.1 upstream.

* Wed Jul 07 2010 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 0.3-1
- Added LICENSE.
- Added LANG=en_US.UTF8 to build documentation with UTF8.
- Added ghc-QuickCheck-devel and ghc-mtl-devel as dependencies.
- Initial packaging for Fedora automatically generated by cabal2spec-0.21.3
